using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Text;
using CLS_BL;

namespace CLS_PL
{
    public class PLCOMMON
    {
        // Cm_id 
        private Int32 _Comp_ID;
        public Int32 Comp_ID
        {
            get { return _Comp_ID; }
            set { _Comp_ID = value; }
          
        }

        // Cm_no
        private string _Cm_no;
        public string Cm_no
        {
            get { return _Cm_no; }
            set { _Cm_no = value; }


        }
        // CompanyName 

        private string _Comp_Name ;
        public string Comp_Name 
        {
        get{return  _Comp_Name;}
        set{_Comp_Name=value; }

        }
        // Cm_Address 

        private string _Comp_Address;
        public string Comp_Address
        {
        get{return _Comp_Address;}
        set{_Comp_Address=value;}

        }
        // cm_contactperson

        private string _Comp_ContactPerson;
        public string Comp_ContactPerson
        {
         get{return _Comp_ContactPerson;} 
         set{_Comp_ContactPerson=value; }
   
        }

        // cm_ContactNumber
        private string _Cm_ContacNumber;
        public string Cm_ContacNumber
        {
            get { return _Cm_ContacNumber; }
            set { _Cm_ContacNumber = value; }   

        }
        

        // cm_Email  
        private string _Cm_Email;
        public string Cm_Email
        {
        get{return _Cm_Email;}
        set{_Cm_Email=value;}
        
        }
        // cm_alias 
        private string _Comp_Alias;
        public string Comp_Alias
        {
            get { return _Comp_Alias; }
            set { _Comp_Alias = value; }
        }
        
        // cd_branAddress

        private string _Cd_BranchAddr;
        public string Cd_BranchAddr
        {
        get{return _Cd_BranchAddr;}
            set{_Cd_BranchAddr=value;}
        
        }

       //  cd_branchname

        private string  _Cd_BranchName;
        public string Cd_BranchName
        {
        get{return _Cd_BranchName;}
        set{_Cd_BranchName=value;}
        
        }
        // cd_regdate 
        private DateTime _cd_regdate;
        public DateTime cd_regdate
        {
        get{return _cd_regdate;}
        set{_cd_regdate=value; }
        
        }
        //  cd_expdate
        private DateTime _cd_expdate;
        public DateTime cd_expdate
        {
        get{return _cd_expdate;}
        set{_cd_expdate=value;}
        
        }
        //cd_activate
        private Int32 _cd_activate;
        public Int32 cd_activate
        {
          get{return  _cd_activate;}
          set{_cd_activate=value; }
        
        }

        // cd_branchAlias

        private string _cd_branchAlias;
        public string cd_branchAlias
        {
        get{return _cd_branchAlias;}
        set{_cd_branchAlias=value;}
        
        }
        //cd_hq
        private Int32 _cd_hq;
        public Int32 cd_hq
        {
        get{return _cd_hq;}
        set{_cd_hq=value;}
        
        }
        // cd_branchid

        private Int32 _cd_branchid;
        public Int32 cd_branchid
        {
            get { return _cd_branchid; }
            set { _cd_branchid = value; }
        
        }

        // TEST VARIABLES 
        private string _TID;
        public string TID
        {
            get { return _TID; }
            set { _TID = value; }

        }

        private string _TNAME;
        public string TNAME
        {
            get { return _TNAME; }
            set { _TNAME = value; }

        }

        private string _TPLACE;
        public string  TPLACE
        {
            get { return _TPLACE; }
            set { _TPLACE = value; }

        }

        private string _Status;
        public string  Status
        {
            get { return _Status; }
            set { _Status = value; }

        }
        // Invoice Variables 

        // im_id : For InoviceMaster id 
        private string _im_id ;
        public string im_id
        {
            get { return _im_id; }
            set { _im_id= value; }

        }

        // im_invoiceno  : InvoiceNo
        private string _im_invoiceNo;
        public string im_invoiceNo
        {
            get { return _im_invoiceNo; }
            set { _im_invoiceNo = value; }

        }
        
        // im_invoicedate :  InvoiceDate 
        private DateTime _im_invoicedate;
        public DateTime im_invoicedate
        {
            get { return _im_invoicedate; }
            set { _im_invoicedate = value; }

        }



        // Variables for  invoicedetails Table


        // id_startdate : Invoicedetails startdate

        // id_startdate :  invoicedetails startdate 
        private DateTime _id_startdate;
        public DateTime id_startdate
        {
            get { return _id_startdate; }
            set { _id_startdate = value; }

        }

        // id_expdate : invoice details  -  Exp Date 
        private DateTime _id_expdate;
        public DateTime id_expdate
        {
            get { return _id_expdate; }
            set { _id_expdate = value; }

        }

        // cd_DeactivatedDate
        private DateTime _cd_DeactivatedDate;
        public DateTime cd_DeactivatedDate
        {
            get { return _cd_DeactivatedDate; }
            set { _cd_DeactivatedDate = value; }

        }

           // id_activate 
        private int  _id_activate;
        public int  id_activate 
        {
            get { return _id_activate; }
            set { _id_activate = value; }

        }



        // _id_ConYear - Conteract In Year 
        private string _id_ConYear;
        public string id_ConYear
        {
            get { return _id_ConYear; }
            set { _id_ConYear = value; }

        }


        // _id_Month - Conteract In Month
        private string _id_ConMonth;
        public string id_ConMonth
        {
            get { return _id_ConMonth; }
            set { _id_ConMonth = value; }

        }


        // _id_Days - Conteract In Days
        private string _id_ConDays;
        public string id_ConDays
        {
            get { return _id_ConDays; }
            set { _id_ConDays = value; }

        }


        // PoralTypeId : This i will judge the Which Plan Customer availed 
        private string  _PortalTypeId;
        public string PortalTypeId
        {
            get { return _PortalTypeId; }
            set { _PortalTypeId = value; }

        }

        /********************************************* Inventory Properties ***********************************************/

        private string _InventoryId;
        public string InventoryId
        {
            get { return _InventoryId; }
            set { _InventoryId = value; }

        }

        private string _RunningNo;
        public string RunningNo
        {
            get { return _RunningNo; }
            set { _RunningNo = value; }
        
        }
        private string _Inv_CategoryName;
        public string Inv_CategoryName
        {
            get { return _Inv_CategoryName; }
            set { _Inv_CategoryName = value; }

        }
        private decimal _Price1;
        public decimal Price1
        {
            get { return _Price1; }
            set { _Price1 = value; }
        }

        private decimal _Price2;
        public decimal Price2
        {
            get { return _Price2; }
            set { _Price2 = value; }
        }

        private decimal _Price3;
        public decimal Price3
        {
            get { return _Price3; }
            set { _Price3 = value; }
        }
        private decimal _Price4;
        public decimal Price4
        {
            get { return _Price4; }
            set { _Price4 = value; }
        }

        private decimal _Price5;
        public decimal Price5
        {
            get { return _Price5; }
            set { _Price5 = value; }
        }

        private string _Group1;
        public string Group1
        {
            get { return _Group1; }
            set { _Group1 = value; }
        
        }

        private string _Group2;
        public string Group2
        {
            get { return _Group2; }
            set { _Group2 = value; }

        }
        private string _Group3;
        public string Group3
        {
            get { return _Group3; }
            set { _Group3 = value; }

        }
        private string _Group4;
        public string Group4
        {
            get { return _Group4; }
            set { _Group4 = value; }

        }
        private string _Group5;
        public string Group5
        {
            get { return _Group5; }
            set { _Group5 = value; }

        }
        private DateTime _EffectiveDt;
        public DateTime EffectiveDt
        {
            get { return _EffectiveDt; }
            set { _EffectiveDt = value; }
               
        }
        private DateTime _CreatedDt;
        public DateTime CreatedDt
        {
            get { return _CreatedDt; }
            set { _CreatedDt = value; }
        
        }

       private  DateTime _UpdateDt;
       public DateTime UpdateDt
       {
           get { return _UpdateDt; }
           set { _UpdateDt = value; }
       
       }
        private string _Flage;
        public string Flage
        {
            get { return _Flage; }
            set { _Flage = value; }
        
        }
        private string _Decritpion;
        public string Decritpion
        {
            get { return _Decritpion; }
            set { _Decritpion = value; }
        
        }

        private string _Units;
        public string Units
        {
            get { return _Units; }
            set { _Units = value; }
        
        }


            /************************** Inventory Categories*************************************************/

        private string _CategoryId;
        public string CategoryId
       {
         get{return _CategoryId;}  
         set{_CategoryId=value;}  
        }

        private string _CategoryName;
        public string CategoryName
        {
            get { return _CategoryName; }
            set { _CategoryName = value; }

        }
        private string _Description;
        public string Description
        {
            get { return _Description; }
            set { _Description = value; }          
        
        }

        private string _Flag1;
        public string Flag1
        {
            get { return _Flag1; }
            set { _Flag1 = value; }
        
        }
        private string _Flag2;
        public string Flag2
        {
            get { return _Flag2; }
            set { _Flag2 = value; }

        }

        // Barcode 
        private string _BarCode;
        public string BarCode
        {
            get { return _BarCode; }
            set { _BarCode = value; }

        }

        private string _ImgPath;
        public string ImgPath
        {
            get { return _ImgPath; }
            set { _ImgPath = value; }

        }





        private Int64 _ReoderLevel;
        public Int64 ReoderLevel
        {
            get { return _ReoderLevel; }
            set { _ReoderLevel = value;}
        }

        private Int64 _SaftyLevel;
        public Int64 SaftyLevel
        {
            get { return _SaftyLevel; }
            set { _SaftyLevel = value; }
        }


        private Int64 _MaixmumLevel;
        public Int64 MaixmumLevel
        {
            get { return _MaixmumLevel; }
            set { _MaixmumLevel = value; }
        }


        private double _CommPer1;
        public double CommPer1
        {
            get { return _CommPer1; }
            set { _CommPer1 = value; }

        }
        private double _CommPer2;
        public double CommPer2
        {
            get { return _CommPer2; }
            set { _CommPer2 = value; }

        }
        private double _CommPer3;
        public double CommPer3
        {
            get { return _CommPer3; }
            set { _CommPer3 = value; }

        }

        private decimal _CommAmt1;
        public decimal CommAmt1
        {
            get { return _CommAmt1; }
            set { _CommAmt1 = value; }

        }
        private decimal _CommAmt2;
        public decimal CommAmt2
        {
            get { return _CommAmt2; }
            set { _CommAmt2 = value; }

        }


        private decimal _PQuantity;
        public decimal PQuantity
        {
            get { return _PQuantity; }
            set { _PQuantity = value; }

        }

        private decimal _UnitCost;
        public decimal UnitCost
        {
            get { return _UnitCost; }
            set { _UnitCost = value; }

        }


        private decimal _PAmount;
        public decimal PAmount
        {
            get { return _PAmount; }
            set { _PAmount = value; }

        }


        private string _PromoName;
        public string PromoName
        {
            get { return _PromoName; }
            set { _PromoName = value; }
        
        
        }


        private string _PromoNameDesc;
        public string PromoNameDesc
        {
            get { return _PromoNameDesc; }
            set { _PromoNameDesc = value; }


        }

        private DateTime _FromDt;
        public DateTime FromDt
        {
            get { return _FromDt; }
            set { _FromDt = value; }

        }
        private DateTime _ToDt;
        public DateTime ToDt
        {
            get { return _ToDt; }
            set { _ToDt = value; }

        }


        private string _StrFromDt;

        public string StrFromDt
        {
            get { return _StrFromDt; }
            set { _StrFromDt = value; }
        }
        private string _strToDt;
        public string strToDt
        {
            get { return _strToDt; }
            set { _strToDt = value; }
        }







        private DateTime _FromTime;
        public DateTime FromTime
        {
            get { return _FromTime; }
            set { _FromTime = value; }

        }

        private DateTime _ToTime;
        public DateTime ToTime
        {
            get { return _ToTime; }
            set { _ToTime = value; }

        }




        private string _PriceType;
        public string PriceType
        {
            get { return _PriceType; }
            set { _PriceType = value; }


        }

        private string _TimeType;
        public string TimeType
        {
            get { return _TimeType; }
            set { _TimeType = value; }


        }


        private string _IsMixed;
        public string IsMixed
        {
            get { return _IsMixed; }
            set { _IsMixed = value; }


        }

        private string _IsActive;
        public string  IsActive
        {
            get { return _IsActive; }
            set { _IsActive = value; }


        }


        private string _IsNoQty;
        public string IsNoQty
        {
            get { return _IsNoQty; }
            set { _IsNoQty = value; }


        }

        private string _QtyShiftType;
        public string QtyShiftType
        {
            get { return _QtyShiftType; }
            set { _QtyShiftType = value; }


        }

        private double _QTY1;
        public double QTY1
        {
            get { return _QTY1; }
            set { _QTY1 = value; }


        }

        private double _DiscValue1;
        public double DiscValue1
        {
            get { return _DiscValue1; }
            set { _DiscValue1 = value; }


        }



        private double _QTY2;
        public double QTY2
        {
            get { return _QTY2; }
            set { _QTY2 = value; }


        }

        private double _DiscValue2;
        public double DiscValue2
        {
            get { return _DiscValue2; }
            set { _DiscValue2 = value; }


        }

        private double _QTY3;
        public double QTY3
        {
            get { return _QTY3; }
            set { _QTY3 = value; }


        }

        private double _DiscValue3;
        public double DiscValue3
        {
            get { return _DiscValue3; }
            set { _DiscValue3 = value; }


        }
        private double _QTY4;
        public double QTY4
        {
            get { return _QTY4; }
            set { _QTY4 = value; }


        }


        private double _DiscValue4;
        public double DiscValue4
        {
            get { return _DiscValue4; }
            set { _DiscValue4 = value; }


        }

        private double _QTY5;
        public double QTY5
        {
            get { return _QTY5; }
            set { _QTY5 = value; }


        }


        private double _DiscValue5;
        public double DiscValue5
        {
            get { return _DiscValue5; }
            set { _DiscValue5 = value; }


        }


        private string _AciveValue;

        public string AciveValue
        {
            get { return _AciveValue; }
            set { _AciveValue = value; }
        
        }


       

       }
       
      
}